// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fDimensionLabelRel */
export async function update10(
  body: API.FDimensionLabelRelUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.RFDimensionLabelRel>(`/finyx/fDimensionLabelRel`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fDimensionLabelRel */
export async function save10(body: API.FDimensionLabelRelSaveVO, options?: { [key: string]: any }) {
  return request<API.RFDimensionLabelRel>(`/finyx/fDimensionLabelRel`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fDimensionLabelRel */
export async function delete10(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fDimensionLabelRel`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fDimensionLabelRel/${param0} */
export async function get9(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get9Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFDimensionLabelRelResultVO>(`/finyx/fDimensionLabelRel/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /fDimensionLabelRel/copy */
export async function copy9(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy9Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDimensionLabelRel>(`/finyx/fDimensionLabelRel/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fDimensionLabelRel/detail */
export async function getDetail9(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail9Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDimensionLabelRelResultVO>(`/finyx/fDimensionLabelRel/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fDimensionLabelRel/findByIds */
export async function findByIds9(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFDimensionLabelRelResultVO>(`/finyx/fDimensionLabelRel/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fDimensionLabelRel/page */
export async function page9(
  body: API.PageParamsFDimensionLabelRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFDimensionLabelRelResultVO>(`/finyx/fDimensionLabelRel/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fDimensionLabelRel/query */
export async function query9(
  body: API.FDimensionLabelRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RListFDimensionLabelRelResultVO>(`/finyx/fDimensionLabelRel/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 修改 修改UpdateVO中不为空的字段 PUT /fDocumentCategoryRel */
export async function update8(
  body: API.FDocumentCategoryRelUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.RFDocumentCategoryRel>(`/finyx/fDocumentCategoryRel`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fDocumentCategoryRel */
export async function save8(
  body: API.FDocumentCategoryRelSaveVO,
  options?: { [key: string]: any }
) {
  return request<API.RFDocumentCategoryRel>(`/finyx/fDocumentCategoryRel`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fDocumentCategoryRel */
export async function delete8(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fDocumentCategoryRel`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fDocumentCategoryRel/${param0} */
export async function get7(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get7Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFDocumentCategoryRelResultVO>(`/finyx/fDocumentCategoryRel/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /fDocumentCategoryRel/copy */
export async function copy7(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy7Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDocumentCategoryRel>(`/finyx/fDocumentCategoryRel/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fDocumentCategoryRel/detail */
export async function getDetail7(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail7Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDocumentCategoryRelResultVO>(`/finyx/fDocumentCategoryRel/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fDocumentCategoryRel/findByIds */
export async function findByIds7(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFDocumentCategoryRelResultVO>(`/finyx/fDocumentCategoryRel/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fDocumentCategoryRel/page */
export async function page7(
  body: API.PageParamsFDocumentCategoryRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFDocumentCategoryRelResultVO>(`/finyx/fDocumentCategoryRel/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fDocumentCategoryRel/query */
export async function query7(
  body: API.FDocumentCategoryRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RListFDocumentCategoryRelResultVO>(`/finyx/fDocumentCategoryRel/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
